Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(35)

Unified Diff: git-runhooks

Issue 11362025: A git extension for running post-sync hooks. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/depot_tools/
Patch Set: Created 8 years, 1 month ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « git-crup ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: git-runhooks
===================================================================
--- git-runhooks (revision 0)
+++ git-runhooks (revision 0)
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+while test "$PWD" != "/"; do
+ if test -f "$PWD/src/.gitmodules"; then
+ break
+ fi
+ cd ..
+done
+if ! test -f "$PWD/src/.gitmodules"; then
+ echo "Could not find the root of your checkout; aborting." 1>&2
+ exit 1
+fi
+
+gclient_spec="solutions=[{'name':'src','url':None,'deps_file':'.DEPS.git'}]"
+gclient runhooks --spec="$gclient_spec"
+exit $?
« no previous file with comments | « git-crup ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698